Subject: [quicwg/base-drafts] 820dd8: Identify unidirectional streams by the 2nd bit in ...

From: Martin Thomson <[email-masked]>
Date: Tue, 17 Oct 2017 20:56:01 -0700

Branch: refs/heads/biuni-wat
  Home:   https://github.com/quicwg/base-drafts
  Commit: 820dd817c6842379c4cccd99c3d842097e6b1567
      https://github.com/quicwg/base-drafts/commit/820dd817c6842379c4cccd99c3d842097e6b1567
  Author: Ryan Hamilton <[email-masked]>
  Date:   2017-10-12 (Thu, 12 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Identify unidirectional streams by the 2nd bit in the stream ID

  Commit: 5061a15eb804b1c090fda3439fadbc12c58dfd3e
      https://github.com/quicwg/base-drafts/commit/5061a15eb804b1c090fda3439fadbc12c58dfd3e
  Author: Ryan Hamilton <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Address nits

  Commit: a9b13de5d57ea4ffb82ac507931109275336cd3f
      https://github.com/quicwg/base-drafts/commit/a9b13de5d57ea4ffb82ac507931109275336cd3f
  Author: Ryan Hamilton <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  invert

  Commit: 41372597f7ee9b7bb0cbb5d11690cfc6b84a5f70
      https://github.com/quicwg/base-drafts/commit/41372597f7ee9b7bb0cbb5d11690cfc6b84a5f70
  Author: Ryan Hamilton <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  clarify

  Commit: 07403710273bd18f1f5962b924b75344b3d70722
      https://github.com/quicwg/base-drafts/commit/07403710273bd18f1f5962b924b75344b3d70722
  Author: Ryan Hamilton <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  more

  Commit: afabe8a7596999ab4d49463cc144a618e4e184dc
      https://github.com/quicwg/base-drafts/commit/afabe8a7596999ab4d49463cc144a618e4e184dc
  Author: Ryan Hamilton <[email-masked]>
  Date:   2017-10-13 (Fri, 13 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove unnecessary language

  Commit: 8fe436777d03444e06a04b9817a7b94b9a3489e6
      https://github.com/quicwg/base-drafts/commit/8fe436777d03444e06a04b9817a7b94b9a3489e6
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-18 (Wed, 18 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'Unidirectional' of https://github.com/RyanAtGoogle/base-drafts into biuni-wat

  Commit: 82f6b8750cc02f33102778536d95bd22c088bd2f
      https://github.com/quicwg/base-drafts/commit/82f6b8750cc02f33102778536d95bd22c088bd2f
  Author: Martin Thomson <[email-masked]>
  Date:   2017-10-18 (Wed, 18 Oct 2017)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Unidirection and bidirectional streams

This is #872 with some additional exposition and one significant change.

Client-initiated streams are now EVEN.

Server initiated streams are now ODD.

This is a pretty noticeable change, because it inverts the current sign, and
might cause some disruption in implementations.  However, it makes stream 0
work within the framework better.  It wasn't clear what Ryan's intent was with
respect to numbering, but I wouldn't have noticed this until I noticed a
conflict between prose and the table.

Closes #643, #656, #720, #872, #175.

This does not close the other issues that were addressed by #643, because this
doesn't include any changes in the HTTP draft.  I'll create a follow-up PR for
that.

Compare: https://github.com/quicwg/base-drafts/compare/820dd817c684^...82f6b8750cc0